package com.mortals.xhx.module.platform.model;

import java.util.List;
import com.mortals.xhx.module.platform.model.PlatformEntity;
/**
 * 平台系统查询对象
 *
 * @author zxfei
 * @date 2022-05-30
 */
public class PlatformQuery extends PlatformEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 平台名称，名称唯一 */
    private List<String> platformNameList;

    /** 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码) */
    private List<String> platformSnList;

    /** 开始 发送第三方平台消息类型(0.http,1.jms) */
    private Integer sendMsgTypeStart;

    /** 结束 发送第三方平台消息类型(0.http,1.jms) */
    private Integer sendMsgTypeEnd;

    /** 增加 发送第三方平台消息类型(0.http,1.jms) */
    private Integer sendMsgTypeIncrement;

    /** 发送第三方平台消息类型(0.http,1.jms)列表 */
    private List <Integer> sendMsgTypeList;

    /** 发送参数请求地址 */
    private List<String> sendUrlList;

    /** 回调参数地址 */
    private List<String> callbackUrlList;

    /** 开始 是否启用发送消息(0.停用,1.启用) */
    private Integer sendSwitchStart;

    /** 结束 是否启用发送消息(0.停用,1.启用) */
    private Integer sendSwitchEnd;

    /** 增加 是否启用发送消息(0.停用,1.启用) */
    private Integer sendSwitchIncrement;

    /** 是否启用发送消息(0.停用,1.启用)列表 */
    private List <Integer> sendSwitchList;

    /** 首页地址 */
    private List<String> homeUrlList;

    /** 备注 */
    private List<String> platformRemarkList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PlatformQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PlatformQuery> andConditionList;

    public PlatformQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 平台名称，名称唯一
     * @return platformNameList
     */
    public List<String> getPlatformNameList(){
        return this.platformNameList;
    }

    /**
     * 设置 平台名称，名称唯一
     * @param platformNameList
     */
    public void setPlatformNameList(List<String> platformNameList){
        this.platformNameList = platformNameList;
    }
    /**
     * 获取 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
     * @return platformSnList
     */
    public List<String> getPlatformSnList(){
        return this.platformSnList;
    }

    /**
     * 设置 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
     * @param platformSnList
     */
    public void setPlatformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
    }
    /**
     * 获取 开始 发送第三方平台消息类型(0.http,1.jms)
     * @return sendMsgTypeStart
     */
    public Integer getSendMsgTypeStart(){
        return this.sendMsgTypeStart;
    }

    /**
     * 设置 开始 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeStart
     */
    public void setSendMsgTypeStart(Integer sendMsgTypeStart){
        this.sendMsgTypeStart = sendMsgTypeStart;
    }

    /**
     * 获取 结束 发送第三方平台消息类型(0.http,1.jms)
     * @return $sendMsgTypeEnd
     */
    public Integer getSendMsgTypeEnd(){
        return this.sendMsgTypeEnd;
    }

    /**
     * 设置 结束 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeEnd
     */
    public void setSendMsgTypeEnd(Integer sendMsgTypeEnd){
        this.sendMsgTypeEnd = sendMsgTypeEnd;
    }

    /**
     * 获取 增加 发送第三方平台消息类型(0.http,1.jms)
     * @return sendMsgTypeIncrement
     */
    public Integer getSendMsgTypeIncrement(){
        return this.sendMsgTypeIncrement;
    }

    /**
     * 设置 增加 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeIncrement
     */
    public void setSendMsgTypeIncrement(Integer sendMsgTypeIncrement){
        this.sendMsgTypeIncrement = sendMsgTypeIncrement;
    }

    /**
     * 获取 发送第三方平台消息类型(0.http,1.jms)
     * @return sendMsgTypeList
     */
    public List<Integer> getSendMsgTypeList(){
        return this.sendMsgTypeList;
    }

    /**
     * 设置 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeList
     */
    public void setSendMsgTypeList(List<Integer> sendMsgTypeList){
        this.sendMsgTypeList = sendMsgTypeList;
    }

    /**
     * 获取 发送参数请求地址
     * @return sendUrlList
     */
    public List<String> getSendUrlList(){
        return this.sendUrlList;
    }

    /**
     * 设置 发送参数请求地址
     * @param sendUrlList
     */
    public void setSendUrlList(List<String> sendUrlList){
        this.sendUrlList = sendUrlList;
    }
    /**
     * 获取 回调参数地址
     * @return callbackUrlList
     */
    public List<String> getCallbackUrlList(){
        return this.callbackUrlList;
    }

    /**
     * 设置 回调参数地址
     * @param callbackUrlList
     */
    public void setCallbackUrlList(List<String> callbackUrlList){
        this.callbackUrlList = callbackUrlList;
    }
    /**
     * 获取 开始 是否启用发送消息(0.停用,1.启用)
     * @return sendSwitchStart
     */
    public Integer getSendSwitchStart(){
        return this.sendSwitchStart;
    }

    /**
     * 设置 开始 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchStart
     */
    public void setSendSwitchStart(Integer sendSwitchStart){
        this.sendSwitchStart = sendSwitchStart;
    }

    /**
     * 获取 结束 是否启用发送消息(0.停用,1.启用)
     * @return $sendSwitchEnd
     */
    public Integer getSendSwitchEnd(){
        return this.sendSwitchEnd;
    }

    /**
     * 设置 结束 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchEnd
     */
    public void setSendSwitchEnd(Integer sendSwitchEnd){
        this.sendSwitchEnd = sendSwitchEnd;
    }

    /**
     * 获取 增加 是否启用发送消息(0.停用,1.启用)
     * @return sendSwitchIncrement
     */
    public Integer getSendSwitchIncrement(){
        return this.sendSwitchIncrement;
    }

    /**
     * 设置 增加 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchIncrement
     */
    public void setSendSwitchIncrement(Integer sendSwitchIncrement){
        this.sendSwitchIncrement = sendSwitchIncrement;
    }

    /**
     * 获取 是否启用发送消息(0.停用,1.启用)
     * @return sendSwitchList
     */
    public List<Integer> getSendSwitchList(){
        return this.sendSwitchList;
    }

    /**
     * 设置 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchList
     */
    public void setSendSwitchList(List<Integer> sendSwitchList){
        this.sendSwitchList = sendSwitchList;
    }

    /**
     * 获取 首页地址
     * @return homeUrlList
     */
    public List<String> getHomeUrlList(){
        return this.homeUrlList;
    }

    /**
     * 设置 首页地址
     * @param homeUrlList
     */
    public void setHomeUrlList(List<String> homeUrlList){
        this.homeUrlList = homeUrlList;
    }
    /**
     * 获取 备注
     * @return platformRemarkList
     */
    public List<String> getPlatformRemarkList(){
        return this.platformRemarkList;
    }

    /**
     * 设置 备注
     * @param platformRemarkList
     */
    public void setPlatformRemarkList(List<String> platformRemarkList){
        this.platformRemarkList = platformRemarkList;
    }
    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public PlatformQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public PlatformQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public PlatformQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public PlatformQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public PlatformQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }


    /**
     * 设置 平台名称，名称唯一
     * @param platformName
     */
    public PlatformQuery platformName(String platformName){
        setPlatformName(platformName);
        return this;
    }

    /**
     * 设置 平台名称，名称唯一
     * @param platformNameList
     */
    public PlatformQuery platformNameList(List<String> platformNameList){
        this.platformNameList = platformNameList;
        return this;
    }


    /**
     * 设置 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
     * @param platformSn
     */
    public PlatformQuery platformSn(String platformSn){
        setPlatformSn(platformSn);
        return this;
    }

    /**
     * 设置 平台编码，编码唯一(编码加上站点编码，如phxt-51010251-1做Vhost虚拟机编码)
     * @param platformSnList
     */
    public PlatformQuery platformSnList(List<String> platformSnList){
        this.platformSnList = platformSnList;
        return this;
    }

    /**
     * 设置  发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgType
     */
    public PlatformQuery sendMsgType(Integer sendMsgType){
        setSendMsgType(sendMsgType);
        return this;
    }

    /**
     * 设置 开始 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeStart
     */
    public PlatformQuery sendMsgTypeStart(Integer sendMsgTypeStart){
        this.sendMsgTypeStart = sendMsgTypeStart;
        return this;
    }

    /**
     * 设置 结束 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeEnd
     */
    public PlatformQuery sendMsgTypeEnd(Integer sendMsgTypeEnd){
        this.sendMsgTypeEnd = sendMsgTypeEnd;
        return this;
    }

    /**
     * 设置 增加 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeIncrement
     */
    public PlatformQuery sendMsgTypeIncrement(Integer sendMsgTypeIncrement){
        this.sendMsgTypeIncrement = sendMsgTypeIncrement;
        return this;
    }

    /**
     * 设置 发送第三方平台消息类型(0.http,1.jms)
     * @param sendMsgTypeList
     */
    public PlatformQuery sendMsgTypeList(List<Integer> sendMsgTypeList){
        this.sendMsgTypeList = sendMsgTypeList;
        return this;
    }


    /**
     * 设置 发送参数请求地址
     * @param sendUrl
     */
    public PlatformQuery sendUrl(String sendUrl){
        setSendUrl(sendUrl);
        return this;
    }

    /**
     * 设置 发送参数请求地址
     * @param sendUrlList
     */
    public PlatformQuery sendUrlList(List<String> sendUrlList){
        this.sendUrlList = sendUrlList;
        return this;
    }


    /**
     * 设置 回调参数地址
     * @param callbackUrl
     */
    public PlatformQuery callbackUrl(String callbackUrl){
        setCallbackUrl(callbackUrl);
        return this;
    }

    /**
     * 设置 回调参数地址
     * @param callbackUrlList
     */
    public PlatformQuery callbackUrlList(List<String> callbackUrlList){
        this.callbackUrlList = callbackUrlList;
        return this;
    }

    /**
     * 设置  是否启用发送消息(0.停用,1.启用)
     * @param sendSwitch
     */
    public PlatformQuery sendSwitch(Integer sendSwitch){
        setSendSwitch(sendSwitch);
        return this;
    }

    /**
     * 设置 开始 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchStart
     */
    public PlatformQuery sendSwitchStart(Integer sendSwitchStart){
        this.sendSwitchStart = sendSwitchStart;
        return this;
    }

    /**
     * 设置 结束 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchEnd
     */
    public PlatformQuery sendSwitchEnd(Integer sendSwitchEnd){
        this.sendSwitchEnd = sendSwitchEnd;
        return this;
    }

    /**
     * 设置 增加 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchIncrement
     */
    public PlatformQuery sendSwitchIncrement(Integer sendSwitchIncrement){
        this.sendSwitchIncrement = sendSwitchIncrement;
        return this;
    }

    /**
     * 设置 是否启用发送消息(0.停用,1.启用)
     * @param sendSwitchList
     */
    public PlatformQuery sendSwitchList(List<Integer> sendSwitchList){
        this.sendSwitchList = sendSwitchList;
        return this;
    }


    /**
     * 设置 首页地址
     * @param homeUrl
     */
    public PlatformQuery homeUrl(String homeUrl){
        setHomeUrl(homeUrl);
        return this;
    }

    /**
     * 设置 首页地址
     * @param homeUrlList
     */
    public PlatformQuery homeUrlList(List<String> homeUrlList){
        this.homeUrlList = homeUrlList;
        return this;
    }


    /**
     * 设置 备注
     * @param platformRemark
     */
    public PlatformQuery platformRemark(String platformRemark){
        setPlatformRemark(platformRemark);
        return this;
    }

    /**
     * 设置 备注
     * @param platformRemarkList
     */
    public PlatformQuery platformRemarkList(List<String> platformRemarkList){
        this.platformRemarkList = platformRemarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public PlatformQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public PlatformQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public PlatformQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public PlatformQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public PlatformQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public PlatformQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public PlatformQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public PlatformQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public PlatformQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public PlatformQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<PlatformQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<PlatformQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<PlatformQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<PlatformQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}